### Signal

# Ide Completion::provider-removed

#### Declaration

    void
    provider_removed (
      IdeCompletion* self,
      IdeCompletionProvider* provider,
      gpointer user_data
    )

#### Description

The “provided-removed” signal is emitted when a provider has been removed from the completion.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`provider` | `IdeCompletionProvider`
| An `IdeCompletionProvider`.
| The data is owned by the caller of the function.